<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Animaciones3</title>
	<style type="text/css">
		.boton1{
			width: 70px;
			height: 40px;
			margin: 10px;
			text-align: center;
			transition-property: all;
			transition-duration: 1s;
			transition-timing-function: ease;
			transition-delay: 0.2s;
			background-color: red;
		}
		.boton1:hover{
			background-color: blue;	
		}
		.boton1 a:hover{
			color: yellow;
		}

		.boton1 a{
			color: whitesmoke;
			text-decoration: none;
		}
		.boton2{
			width: 70px;
			height: 40px;
			margin: 10px;
			text-align: center;
			transition-property: all;
			transition-duration: 300ms;
			transition-timing-function: ease-out;
			transition-delay: 20ms;
			background-color: orange;
		}
		.boton2:hover{
			background-color: darkgreen

		}
		.boton2 a{
			color: sienna;
			text-decoration: none;
		}
		.boton2 a:hover{
			color:aqua;
			padding: 10px,30px;
		}
	</style>
</head>
<body>
	<div class="boton1">
		<a href="#">LINK1</a>
	</div>
	<div class="boton2">
		<a href="#">LINK2</a>
	</div>
</body>
</html>